# FutharkBoard
[![Git release](https://img.shields.io/gitea/v/release/DrMaxNix/futharkboard?gitea_url=https://git.tjdev.de&logo=git)](https://git.tjdev.de/DrMaxNix/futharkboard/releases/latest)
[![F-Droid](https://img.shields.io/f-droid/v/de.drmaxnix.futharkboard.svg?logo=fdroid)](https://f-droid.org/packages/de.drmaxnix.futharkboard)
[![License](https://img.shields.io/badge/license-MIT-green)](https://git.tjdev.de/DrMaxNix/futharkboard/src/branch/main/LICENSE)

Elder Futhark keyboard for Android

![Android Screenshot](https://git.tjdev.de/DrMaxNix/futharkboard/raw/branch/main/assets/screenshot-android.png "Android Screenshot")


## Installation
<a href="https://f-droid.org/packages/de.drmaxnix.futharkboard/">
	<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" alt="Get it on F-Droid" height="80">
</a>

Or

1. Download the latest APK from the [Release Section](https://git.tjdev.de/DrMaxNix/futharkboard/releases/latest)
2. Run downloaded apk-file
3. You may get asked if you want to install this app from an unknown source
4. Open the installed FutharkBoard App
5. Click on 'OPEN INPUT SETTINGS'-button
6. Enable FutharkBoard in the list of available keyboards


## Characters
| Letter | Rune | Unicode       | Status                                                                   | Comment                                        |
| ------:|:----:|:------------- |:------------------------------------------------------------------------ |:---------------------------------------------- |
|      A |  ᚨ   | 5800 (U+16A8) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      B |  ᛒ   | 5842 (U+16D2) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      C |  ᚲ   | 5810 (U+16B2) | ![blue](https://heximg.tjdev.de/61afef?res=16) Too small   | Same as 'K'                                    |
|      D |  ᛞ   | 5854 (U+16DE) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      E |  ᛖ   | 5846 (U+16D6) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      F |  ᚠ   | 5792 (U+16A0) | ![blue](https://heximg.tjdev.de/61afef?res=16) Rounded in some fonts | Formerly `ᚯ 5807 (U+16AF)`           |
|      G |  ᚷ   | 5815 (U+16B7) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      H |  ᚺ   | 5818 (U+16BA) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      I |  ᛁ   | 5825 (U+16C1) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      J |  ᛃ   | 5827 (U+16C3) | ![blue](https://heximg.tjdev.de/61afef?res=16) Too small   |                                                |
|      K |  ᚲ   | 5810 (U+16B2) | ![blue](https://heximg.tjdev.de/61afef?res=16) Too small   |                                                |
|      L |  ᛚ   | 5850 (U+16DA) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      M |  ᛗ   | 5847 (U+16D7) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      N |  ᚾ   | 5822 (U+16BE) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      O |  ᛟ   | 5855 (U+16DF) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      P |  ᛈ   | 5832 (U+16C8) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      Q |      |               | ![red](https://heximg.tjdev.de/e06c75?res=16) Missing      | Formerly `ᛜ 5852 (U+16DC)`                     |
|      R |  ᚱ   | 5809 (U+16B1) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      S |  ᛊ   | 5834 (U+16CA) | ![blue](https://heximg.tjdev.de/61afef?res=16) Looks like `Σ` in some fonts | Formerly `ϟ 991 (U+03DF)`     |
|      T |  ᛏ   | 5839 (U+16CF) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      U |  ᚢ   | 5794 (U+16A2) | ![blue](https://heximg.tjdev.de/61afef?res=16) Rounded in some fonts |                                      |
|      V |  ᚹ   | 5817 (U+16B9) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    | Same as 'W'                                    |
|      W |  ᚹ   | 5817 (U+16B9) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      X |      |               | ![red](https://heximg.tjdev.de/e06c75?res=16) Missing      | Formerly `ᚦ 5798 (U+16A6)`                     |
|      Y |  ᛇ   | 5831 (U+16C7) | ![blue](https://heximg.tjdev.de/61afef?res=16) No 1:1 mapping | Phonetic `[i:]` `fl(Y)`                     |
|      Z |  ᛉ   | 5833 (U+16C9) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      : |  ᛬   | 5868 (U+16EC) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|      . |  ᛫   | 5867 (U+16EB) | ![green](https://heximg.tjdev.de/98c379?res=16) Correct    |                                                |
|        |  ᚦ   | 5798 (U+16A6) | ![purple](https://heximg.tjdev.de/c678dd?res=16) No letter-mapping | 'X'-key on keyboard; Phonetic `[θ]` `(TH)ing`               |
|        |  ᛜ   | 5852 (U+16DC) | ![purple](https://heximg.tjdev.de/c678dd?res=16) No letter-mapping | 'Q'-key on keyboard; Phonetic `[ŋ]` `fi(NG)er`              |


## Resources
- https://en.wikipedia.org/wiki/Elder_Futhark (01 Nov 2021)
- http://xahlee.info/comp/unicode_runic.html (01 Nov 2021)
- http://www.heathenhof.com/the-elder-futhark-runes-an-instructive-guide/elder_futhark (01 Nov 2021)


## Attribution / Credits
- Tabler Icons ([MIT License](https://github.com/tabler/tabler-icons/blob/main/LICENSE)): https://tabler.io/icons
