<?php
	declare(strict_types = 1);
	namespace Drmaxnix\Futharkboard;
	use Flake\Page;
	
	// CONVERT MARKDOWN TO HTML //
	// load parsedown library (not included)
	require(FLAKE_BASEPATH . "/custom/Parsedown.php");
	
	// convert
	$md = file_get_contents("../README.md");
	$html = (new \Parsedown())->text($md);
	
	
	// PAGE INIT //
	Page::start();
	Page::title("FutharkBoard - Elder Futhark keyboard for Android");
	
	Page::description("FutharkBoard is a Free and Open Source Elder Futhark Keyboard for Android Phones");
	Page::robots(index: true, follow: true);
	Page::keywords("Elder Futhark", "Elder", "Futhark", "FutharkBoard", "Futhark Keyboard", "Keyboard Android", "FOSS");
	Page::author("DrMaxNix");
	
	Page::icon("../android-app/app/src/main/icon-playstore.png");
	Page::lang("en");
	Page::viewport(scale: 0.75, zoom: false);
	
	Page::$head["analytics"] = '<script defer data-domain="futharkboard.drmaxnix.de" src="https://analytics.tjdev.de/js/script.file-downloads.outbound-links.js"></script>';
	
	Page::css("./page/style.css");
	Page::font("ubuntu");
?>





<div class="page-container">
	<div class="page">
		<div class="element about">
			<?= $html ?>
		</div>

		<?php require("./page/footer.php"); ?>
	</div>
</div>
